org.apache.ignite.internal

## Class StripedExecutorMXBeanAdapter

- java.lang.Object
- - org.apache.ignite.internal.StripedExecutorMXBeanAdapter

All Implemented Interfaces:
  StripedExecutorMXBean

    public class StripedExecutorMXBeanAdapter
    extends Object
    implements StripedExecutorMXBean

Adapter for `StripedExecutorMXBean` which delegates all method calls to the underlying `ExecutorService` instance.

### Method Summary

Methods
`void` `checkStarvation()` Checks for starvation in striped pool, dumps in log information if potential starvation was found.
`int` `getActiveCount()`
`boolean[]` `getStripesActiveStatuses()`
`long[]` `getStripesCompletedTasksCounts()`
`int` `getStripesCount()`
`int[]` `getStripesQueueSizes()`
`long` `getTotalCompletedTasksCount()`
`int` `getTotalQueueSize()`
`boolean` `isShutdown()`
`boolean` `isTerminated()` Note that `isTerminated()` is never `true` unless either `shutdown()` or `shutdownNow()` was called first.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### checkStarvation

    public void checkStarvation()

Checks for starvation in striped pool, dumps in log information if potential starvation was found.

Specified by:
  `checkStarvation` in interface `StripedExecutorMXBean`

#### getStripesCount

    public int getStripesCount()

Specified by:
  `getStripesCount` in interface `StripedExecutorMXBean`
Returns:
  Stripes count.

#### isShutdown

    public boolean isShutdown()

Specified by:
  `isShutdown` in interface `StripedExecutorMXBean`
Returns:
  `True` if this executor has been shut down.

#### isTerminated

    public boolean isTerminated()

Note that `isTerminated()` is never `true` unless either `shutdown()` or `shutdownNow()` was called first.

Specified by:
  `isTerminated` in interface `StripedExecutorMXBean`
Returns:
  `True` if all tasks have completed following shut down.

#### getTotalQueueSize

    public int getTotalQueueSize()

Specified by:
  `getTotalQueueSize` in interface `StripedExecutorMXBean`
Returns:
  Return total queue size of all stripes.

#### getTotalCompletedTasksCount

    public long getTotalCompletedTasksCount()

Specified by:
  `getTotalCompletedTasksCount` in interface `StripedExecutorMXBean`
Returns:
  Completed tasks count.

#### getStripesCompletedTasksCounts

    public long[] getStripesCompletedTasksCounts()

Specified by:
  `getStripesCompletedTasksCounts` in interface `StripedExecutorMXBean`
Returns:
  Number of completed tasks per stripe.

#### getActiveCount

    public int getActiveCount()

Specified by:
  `getActiveCount` in interface `StripedExecutorMXBean`
Returns:
  Number of active tasks.

#### getStripesActiveStatuses

    public boolean[] getStripesActiveStatuses()

Specified by:
  `getStripesActiveStatuses` in interface `StripedExecutorMXBean`
Returns:
  Number of active tasks per stripe.

#### getStripesQueueSizes

    public int[] getStripesQueueSizes()

Specified by:
  `getStripesQueueSizes` in interface `StripedExecutorMXBean`
Returns:
  Size of queue per stripe.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017